%define major     0
%define libname   %mklibname id3tag %{major}
%define develname %mklibname id3tag -d

Summary:	Library for reading and writing ID3v1 and ID3v2 tags
Name:		libid3tag
Version:	0.16.3
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Libraries
URL:		https://codeberg.org/tenacityteam/libid3tag
Source0:	%url/archive/%{version}.tar.gz#/%{name}-%{version}.tar.xz
# Based on https://github.com/tenacityteam/libid3tag/pull/3
Patch0:		cmake-hook-genre.dat-and-gperf-files-generation.patch

BuildRequires:	cmake
BuildRequires:	gperf
BuildRequires:	pkgconfig(zlib)

%description
A library for reading and (eventually) writing ID3 tags, both ID3v1 and the
various versions of ID3v2.

%package -n %{libname}
Summary:        Library for reading and writing ID3v1 and ID3v2 tags
Group:          System/Libraries

%description -n %{libname}
A library for reading and (eventually) writing ID3 tags, both ID3v1 and the
various versions of ID3v2.

%package -n %develname
Summary:        Development tools for programs which will use the %{name} library
Group:          Development/Libraries
Requires:	%{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       id3tag-devel = %{version}-%{release}

%description -n %develname
This package includes the header files and static libraries
necessary for developing programs using the %{name} library.

If you are going to develop programs which will use the %{name} library
you should install this.

%prep
%autosetup -p1 -n %{name}

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libid3tag.so.%{major}{,.*}

%files -n %develname
%{_includedir}/id3tag.h
%{_libdir}/libid3tag.so
%{_libdir}/cmake/id3tag/
%{_libdir}/pkgconfig/id3tag.pc



%changelog
* Tue Oct 15 2019 tex - 0.15.1b-10pclos2019
- rebuild against updates

* Tue Sep 19 2017 bb2 <bb2> - 0.15.1b-9pclos2017
- rebuild against updates

* Sat Jul 22 2017 bb2 <bb2> - 0.15.1b-8pclos2017
- rebuild against updates

